# KToggleAction

Bindings for a KToggleAction.

## Methods

- activate(...)
- isWidgetType(...)
- parent(...)
- signals(...)
- slots(...)
- disconnect(...)
- getAttribute(...)
- setToolTip(...)
- child(...)
- children(...)
- superClassName(...)
- setGroup(...)
- properties(...)
- deleteLater(...)
- className(...)
- setIcon(...)
- setWhatsThis(...)
- setText(...)
- setAttribute(...)
- setEnabled(...)
- setChecked(...)
- connect(...)
- hasAttribute(...)
- childCount(...)
- getElementById(...)
- getParentNode(...)
- setShortcutConfigurable(...)

## Properties

None

## Qt Properties

- QCString name unnamed
- int containerCount 0
- QString plainText
- QString text
- QString shortcut
- bool enabled true
- QString group
- QString whatsThis
- QString toolTip
- QString icon
- bool checked false
- QString exclusiveGroup

## Qt Signals

- destroyed()
- destroyed(QObject*)
- activated()
- enabled(bool)
- toggled(bool)

## Qt Slots

- void deleteLater()
- void cleanupEventFilter(QObject*)
- void setText(const QString&)
- bool setShortcut(const KShortcut&)
- void setGroup(const QString&)
- void setWhatsThis(const QString&)
- void setToolTip(const QString&)
- void setIconSet(const QIconSet&)
- void setIcon(const QString&)
- void setEnabled(bool)
- void setShortcutConfigurable(bool)
- void activate()
- void slotDestroyed()
- void slotKeycodeChanged()
- void slotActivated()
- void setChecked(bool)
- void slotActivated()